import { GunGraphWireConnector } from "@notabug/chaingun";
import socketCluster from "socketcluster-client";
import { SCChannel, SCChannelOptions } from "sc-channel";
export declare class SocketClusterGraphConnector extends GunGraphWireConnector {
    opts: socketCluster.SCClientSocket.ClientOptions | undefined;
    socket?: socketCluster.SCClientSocket;
    msgChannel?: SCChannel;
    getsChannel?: SCChannel;
    putsChannel?: SCChannel;
    constructor(opts: socketCluster.SCClientSocket.ClientOptions | undefined, name?: string);
    get({ soul, cb }: {
        soul: string;
        msgId?: string;
        key?: string;
        cb?: Function;
    }): () => void;
    put({ graph, msgId, replyTo, cb }: {
        graph: any;
        msgId?: string;
        replyTo?: string;
        cb?: Function;
    }): () => void;
    authenticate(pub: string, priv: string): Promise<void>;
    subscribeToChannel(channelName: string, cb?: Function, opts?: SCChannelOptions): SCChannel;
    publishToChannel(channel: string, msg: any): void;
    protected _connectToCluster(): void;
    private _onOutputProcessed;
}
